Bug 4792 - Помощь - не работает ссылка на bugzilla
: Помощь - не работает ссылка на bugzilla
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/apt-indicator)
: unstable
: all Linux
: P2 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-07-14 22:26 by
Modified: 2005-07-13 15:46 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-07-14 22:26:30
В apt-indicator в помощи есть ссылка на bugzilla.

В icewm при щелчке по этой ссылке получаем пустое окно обозревателя помощи.

Та же ошибка возникает при щелчке по ALT Linux и по щелчке на email inger'а
------- Comment #1 From 2004-07-15 11:56:05 -------
Вообще можно сделать настройку обработчиков ссылок или вообще HelpWindow убрать 
и запускать что-нибудь типа $BROWSER для просмотра документации. 
------- Comment #2 From 2004-07-15 12:00:39 -------
Более того это не бага, а особенность работы QT-шного widget'а. 

Я бы не запускал browser ибо в некоторых средах его может попросту не
существовать. 

По большому счёту надо вообще централизовать всю документацию в системе и тогда
уже можно говорить о 
запуске неготорого $HELP_BROWSER. 

Но это задача на будущее. 
------- Comment #3 From 2004-07-15 12:14:47 -------
(In reply to comment #2) 
> Я бы не запускал browser ибо в некоторых средах 
> его может попросту не существовать.  
Во всех средах, где есть что-то из "mozilla firefox konqueror", есть $BROWSER 
Если его нет, можно запускать url_handler.sh 
Но в принципе, можно только настройку почтовика/браузера забабахать, а 
вышесказанное делать только для ссылок http://, видимых в HelpBrowser 
 
------- Comment #4 From 2004-07-15 12:17:49 -------
я бы не забабахивал: 
Надо либо всегда использовать browser (кстати в некоторых дистрибутивах этой переменной может не 
быть, а мы формально делаем не ALT-specific продукт) либо всегда helpwindow. 
Можешь попробовать сделать это параметром при сборке пакета: либо то, либо это. 
 
------- Comment #5 From 2004-07-15 12:31:48 -------
Я так и предлагаю одним из вариантов. 
А $BROWSER/url_handler.sh - затычка для ненастроенного обработчика ссылки 
http://bugs.altlinux.ru в конце документа. 
------- Comment #6 From 2004-07-16 11:33:16 -------
Стас, это бага, ибо у пользователя по клику вылетает пустое окно. 

Давайте для начала HELP сделаем там в таком виде, что бы невозможно было
кликнуть по ссыкам наружу.
------- Comment #7 From 2004-07-16 11:56:55 -------
Ладно, zerg, сделай пока если getenv BROWSER что-то возвращает - то exec этот
BROWSER, 
иначе help-window. 

Если дешевле убрать ссылки наружу - то пожайлуста убери их. 
------- Comment #8 From 2004-07-19 12:20:05 -------
fixed in apt-indicator-0.0.4-alt3